/*
 *  MULti Core Operating System Tiny Kernel (MULCOS-T)
 *
 *          Exception handler definitions
 *          Dependent on NUCLEO-H563ZI
 *
 *          Copyright (c) 2024 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name   except.s
 *
 *  Jan/01/2024 Created.
 *
 */


        .syntax unified
        .section    .text
        .thumb


/*
 *  NMI exception handler
 */

        .align      4
        .globl      except_nmi
        .type       except_nmi, %function
except_nmi:
        b       except_nmi

        .align      4
        .globl      except_hard_fault
        .type       except_hard_fault, %function
except_hard_fault:
        b       except_hard_fault

        .align      4
        .globl      except_mem_manage
        .type       except_mem_manage, %function
except_mem_manage:
        b       except_mem_manage

        .align      4
        .globl      except_bus_fault
        .type       except_bus_fault, %function
except_bus_fault:
        b       except_bus_fault

        .align      4
        .globl      except_usage_fault
        .type       except_usage_fault, %function
except_usage_fault:
        b       except_usage_fault

        .align      4
        .globl      except_secure_fault
        .type       except_secure_fault, %function
except_secure_fault:
        b       except_secure_fault

        .align      4
        .globl      except_debug_monitor
        .type       except_debug_monitor, %function
except_debug_monitor:
        b           except_debug_monitor

